function Hmix = CALC_Hmix(m,T)
global c

a = 1.2;
b = 2;
[~, AH, ~] = CALC_Aphi(T);

A = 2.*c.R.*T.^2.*c.bL(:,1);
B = c.R.*T.^2.*c.bL(:,2);
C = 2.*c.R.*T.^2.*c.bL(:,3);
    
g = (1-(1+b*sqrt(m)).*exp(-b*sqrt(m)));
Lm = 2./a.*AH.*log(1+a*sqrt(m)) - B.*g - A.*m - C.*m.^2;

Hmix = c.H0mix + Lm; % J/mol salt   


end 