function [cc,cd,cwc,cwd] = CALC_Molarity(mc, md)
global c

rhoc = CALC_Density(mc).*1e3; % kg/m3
rhod = CALC_Density(md).*1e3; % kg/m3
cc = rhoc.*mc./(c.Mi.*mc + 1);
cd = rhod.*md./(c.Mi.*md + 1);
cwc = (rhoc - cc.*c.Mi)./c.Mw; % mol/m3
cwd = (rhod - cd.*c.Mi)./c.Mw;

% p.rhoc = CALC_Density(p.m_cavr)*1e3;
% p.rhod = CALC_Density(p.m_davr)*1e3;
% p.c_c = p.rhoc.*p.m_cavr./(c.Mi.*p.m_cavr+1);
% p.c_d = p.rhod.*p.m_davr./(c.Mi.*p.m_davr+1);
% p.c_cw = (p.rhoc-p.c_c.*c.Mi)./c.Mw;
% p.c_dw = (p.rhod-p.c_d.*c.Mi)./c.Mw;

end
