function Hmix = CALC_dHmix(m,T)
global c

a = 1.2;
b = 2;
[~, AH, ~] = CALC_Aphi(T);

A = 2.*c.R.*T.^2.*c.bL(:,1);
B = c.R.*T.^2.*c.bL(:,2);
C = 2.*c.R.*T.^2.*c.bL(:,3);
    
g = (1-(1+b.*sqrt(m)).*exp(-b.*sqrt(m)));
phiL = 2./a.*AH.*log(1+a.*sqrt(m)) - B.*g - A.*m - C.*m.^2;

for n = 1:length(c.Mi)
    dphiL(n,:) = dss020(m(1),m(end),length(m),phiL(n,:),1);
end

Ls = phiL + m.*dphiL;

Hmix = c.H0mix + Ls; % J/mol salt   


end 