function [gamma, phi] = CALC_gamma(m,T)
global c

a = 1.2;
alpha = 2;
[Aphi, ~, ~] = CALC_Aphi(T);

f_gamma = (-Aphi.*(sqrt(m)./(1 + a.*sqrt(m)) + 2./a*log(1 + a.*sqrt(m))));
B_gamma = (2.*c.b(:,1) + 2.*c.b(:,2)./(alpha.^2.*m).*(1 - exp(-alpha.*sqrt(m)).*(1 + alpha.*sqrt(m) - alpha.^2./2.*m)));
C_gamma = 3/2.*c.b(:,3);
gamma = exp(f_gamma + m.*B_gamma + m.^2.*C_gamma);
    
f_phi = -Aphi.*sqrt(m)./(1+a*sqrt(m));
B_phi = c.b(:,1) + c.b(:,2).*exp(-alpha*sqrt(m));
phi = 1 + f_phi + m.*B_phi + m.^2.*c.b(:,3);

end