function [j_max, N_unit, F_H2, F_H20] = CALC_j(E_unit, R_unit, T, m_c, m_d)
global c

Rr = 1./(CALC_Conductivity(1, T)).*c.d;
alpha = CALC_alpha(m_c, m_d, T);
[gamma_c, ~] = CALC_gamma(m_c,T);
[gamma_d, ~] = CALC_gamma(m_d,T);


% j_max = E_unit./(2.*R_unit);
% j_max = (c.E_h+c.E_L).*alpha.*c.R.*T./c.F.*(log(gamma_c.*m_c./(gamma_d.*m_d)))./((c.E_h+c.E_L).*R_unit - Rr.*alpha.*c.R.*T./c.F.*(log(gamma_c.*m_c./(gamma_d.*m_d))));



N_unit = c.N;
j_max  = E_unit./(2.*R_unit);
F_H2 = 0;
F_H20 = 0;

% %% aj^2 + bj + c = 0
% for i = 1:length(c.Mi)
%     if length(R_unit)>1
%         jpoly  = [(c.E_h+c.E_L).*R_unit(i,:) + 2.*(c.R_CEM + Rr(i,:)).*E_unit(i,:)
%                    -2.*(c.R_CEM + Rr(i,:)).*E_unit(i,:)
%                    -(c.E_h+c.E_L).*E_unit(i,:)]';
%     else
%         jpoly  = [(c.E_h+c.E_L).*R_unit + 2.*(c.R_CEM + Rr(i,:)).*E_unit
%                   -2.*(c.R_CEM + Rr(i,:)).*E_unit
%                   -(c.E_h+c.E_L).*E_unit]';
%     end
% jroots = roots(jpoly);
% j_max(i,1) = max(jroots);
% end
% N_unit= ((c.E_h+c.E_L) + 2.*(c.R_CEM + Rr).*j_max)./(E_unit-R_unit.*j_max) - 1;
% F_H2  = c.MH2.*j_max./(2.*c.F); % kg(H2)/(m2 s)
% F_H20 = -c.Mw.*j_max./(2.*c.F); % kg H2O spent
end