function Y = FMINoptPrecip(X,n)
global c

p.m_c = X;
p.m_d = c.S10(n);

% %% Estimate # of unit cells to find water flow per unit cell
% tempE = -CALC_Eunit(p.m_c, p.m_d, c.T);
% tempR = CALC_Runit(p.m_c, p.m_d, c.T);
% [~, p.tempN, ~] = CALC_FH2(tempE(n), tempR(n));

%% Integrate through unit cell, finding the average molalities
Y = BVP(p,n)';
m_cavr = sum(Y(:,1))./length(Y(:,1));
m_davr = sum(Y(:,2))./length(Y(:,2));



%% Calc H2 production with avr molalities
E_unit = -CALC_Eunit(m_cavr, m_davr, c.T);
R_unit = CALC_Runit(m_cavr, m_davr, c.T);
[j_max, N_unit, F_H2] = CALC_FH2(E_unit(n), R_unit(n));

Y = -F_H2*1e6;
end