function [Js, Jw] = CALC_Fluxes(j_max, c_c,c_d,c_wc,c_wd)
global c


% Fluxes into high conc compartment (J_AEM - J_CEM)
Js = -(2.*c.t_e).*j_max./c.F - 2.*c.De.*(c_c-c_d)./c.dm; % mol/m2 s
Jw = -(2.*c.t_w).*j_max./c.F - 2.*c.Dw.*(c_wc-c_wd)./c.dm; % mol/m2 s


end