function [ew, dewdT] = CALC_ew(T)

t = T - 273.15; % C
ew = 87.74 - 0.4008*t + 9.398e-4*t^2 - 1.41e-6*t^3;
dewdT = -0.4008 + 2*9.398e-4*t - 3*1.41e-6*t^2;


% C.  G . Malmberg and A.  A. Maryott (1956), Dielectric constant from
% 0-100C
end